tlfloat::xpair< firsttype, secondtype > Struct Template Reference

`#include <tlfloat/bigint.hpp>`

## Public Member Functions

constexpr TLFLOAT_INLINE | xpair (const firsttype &f, const secondtype &s)

## Public Attributes

firsttype | first
secondtype | second

## Detailed Description

template<typename firsttype, typename secondtype>
struct tlfloat::xpair< firsttype, secondtype >

This is a simple template struct similar to std::pair. Unlike std::pair, the member functions are all constexpr.

## Constructor & Destructor Documentation

## xpair()

template<typename firsttype, typename secondtype>

TLFLOAT_INLINE tlfloat::xpair< firsttype, secondtype >::xpair | ( | const firsttype & | f,
|  | const secondtype & | s )

inline constexpr

## Member Data Documentation

## first

template<typename firsttype, typename secondtype>

firsttype tlfloat::xpair< firsttype, secondtype >::first

## second

template<typename firsttype, typename secondtype>

secondtype tlfloat::xpair< firsttype, secondtype >::second

The documentation for this struct was generated from the following file:

- src/include/tlfloat/bigint.hpp